/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
public class Transformace
{
     private List<Integer> seznamCisel = new ArrayList<>();
    private List<String> seznamMest = new ArrayList<>();

    public Transformace() {
        seznamCisel.add(1);
        seznamCisel.add(2);
        seznamCisel.add(3);
        seznamCisel.add(4);
        seznamCisel.add(5);
        seznamCisel.add(6);

        seznamMest.add("Londýn");
        seznamMest.add("Praha");
        seznamMest.add("Berlín");
        seznamMest.add("Moskva");
        seznamMest.add("Paříž");

    }

    /**
     * Getter pro získání seznamu čísel
     */
    public List<Integer> getSeznamCisel() {
        return seznamCisel;
    }

    /**
     * Getter pro získání seznamu měst
     */
    public List<String> getSeznamMest() {
        return seznamMest;
    }

    
    public static void main(String[] args) {
        Transformace in = new Transformace();

        List<Integer> cisla = in.getSeznamCisel();

        List<Integer> seznamDruhychMocnin = cisla.stream().map((i) -> i * i).collect(Collectors.toList());
        System.out.println("Původní seznam:" + cisla);
        System.out.println("Seznam druhých mocnin:" + seznamDruhychMocnin);

        List<String> mesta = in.getSeznamMest();
        List<String> seznamMestUpraveny = mesta.stream().map((i) -> i.toUpperCase()).collect(Collectors.toList());
        System.out.println("Původní seznam měst:" + mesta);
        System.out.println("Seznam upravených názvů měst:" + seznamMestUpraveny);

    }

}
